TAAS - Feature #489

SuppDocNo Lock Fields Changes
01/25/2025 03:19 PM - Arathy PS

Status: Particialy Coding Done Start date: 01/25/2025
Priority: Normal Due date:

Assignee: Amal Ck % Done: 40%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: TAAS-General

Description

History

#1 - 01/25/2025 03:19 PM - Arathy PS

1. Chanage Db Fields Type

service.tbl_supp_doc_no ->

- sin_sale_supplier_side_lock SMALLINT DEFAULT O,
— sin_sale_client_side_lock SMALLINT DEFAULT 0, to ars_sale_client_side_lock SMALLINT ARRAY,

— sin_sale_full_lock SMALLINT DEFAULT O,

- sin_refund_supplier_side_lock SMALLINT DEFAULT O,
- sin_refund_client_side_lock SMALLINT DEFAULT O,

— sin_refund_full_lock SMALLINT DEFAULT O,

to ars_sale_supplier_side_lock SMALLINT ARRAY,

to ars_sale_full_lock SMALLINT ARRAY,

to ars_refund_supplier_side_lock SMALLINT ARRAY,
to ars_refund_client_side_lock SMALLINT ARRAY,

toars_refund_full_lock SMALLINT ARRAY,

2. Issue/Cancel Load then Info message based on the lock fields

#2 - 01/31/2025 11:26 AM - Amal Ck
- Status changed from New to Particialy Coding Done

- % Done changed from 0 to 40
